//----------------------------------------------------------------------------
/*
 * File: config.h
 * - header file for config.c
 * 
 * Part of Emulation of PMD 32 drive.
 * Based on MMC/SD/SDHC card library by Roland Riegel
 *   - http://www.roland-riegel.de/sd-reader/
 *
 * Author: Roman Brik { pmd85emu (at) gmail.com }
 * Web: http://pmd85.borik.net
 * Date: 15 Sep 2009
 * Version 1.3
*/
//----------------------------------------------------------------------------
#ifndef __CONFIG_H__
#define __CONFIG_H__
//----------------------------------------------------------------------------
uint8_t config_check_card_sn(void);
uint8_t config_read_device_type(void);
void config_write_device_type(uint8_t dev_type);
void config_read_pmd32_img_path(uint8_t drv, char *path);
void config_write_pmd32_img_path(uint8_t drv, char *path);
void config_read_pmd32_wp(uint8_t drv, uint8_t *wp);
void config_write_pmd32_wp(uint8_t drv, uint8_t wp);
//----------------------------------------------------------------------------
#endif
//----------------------------------------------------------------------------
